from typing import Any, ClassVar, List

import dream3d.simpl

class BadDataNeighborOrientationCheck(dream3d.simpl.AbstractFilter):
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    GoodVoxelsArrayPath: dream3d.simpl.DataArrayPath
    MisorientationTolerance: float
    NumberOfNeighbors: int
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ChangeAngleRepresentation(dream3d.simpl.AbstractFilter):
    CellEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    ConversionType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ConvertHexGridToSquareGrid(dream3d.simpl.AbstractFilter):
    FileExtension: str
    FilePrefix: str
    FileSuffix: str
    HexGridStack: int
    InputPath: str
    OutputPath: str
    OutputPrefix: str
    PaddingDigits: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ConvertOrientations(dream3d.simpl.AbstractFilter):
    InputOrientationArrayPath: dream3d.simpl.DataArrayPath
    InputType: int
    OutputOrientationArrayName: str
    OutputType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ConvertQuaternion(dream3d.simpl.AbstractFilter):
    ConversionType: int
    DeleteOriginalData: bool
    OutputDataArrayPath: dream3d.simpl.DataArrayPath
    QuaternionDataArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class CreateEnsembleInfo(dream3d.simpl.AbstractFilter):
    CellEnsembleAttributeMatrixName: str
    CrystalStructuresArrayName: str
    DataContainerName: dream3d.simpl.DataArrayPath
    Ensemble: dream3d.simpl.EnsembleInfo
    PhaseNamesArrayName: str
    PhaseTypesArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class CreateLambertSphere(dream3d.simpl.AbstractFilter):
    CreateEdgeGeometry: bool
    CreateQuadGeometry: bool
    CreateTriangleGeometry: bool
    CreateVertexGeometry: bool
    EdgeAttributeMatrixName: str
    EdgeDataContainerName: dream3d.simpl.DataArrayPath
    FaceAttributeMatrixName: str
    Hemisphere: int
    ImageDataArrayPath: dream3d.simpl.DataArrayPath
    QuadDataContainerName: dream3d.simpl.DataArrayPath
    TriangleDataContainerName: dream3d.simpl.DataArrayPath
    VertexAttributeMatrixName: str
    VertexDataContainerName: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class EMsoftSO3Sampler(dream3d.simpl.AbstractFilter):
    DataContainerName: dream3d.simpl.DataArrayPath
    EMsoftAttributeMatrixName: str
    EulerAnglesArrayName: str
    MisOr: float
    MisOrFull: float
    Numsp: int
    OffsetGrid: bool
    PointGroup: int
    RefOr: dream3d.simpl.FloatVec3
    RefOrFull: dream3d.simpl.FloatVec3
    sampleModeSelector: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class EbsdToH5Ebsd(dream3d.simpl.AbstractFilter):
    EulerTransformation: dream3d.simpl.AxisAngleInput
    FileExtension: str
    FilePrefix: str
    FileSuffix: str
    InputPath: str
    OutputFile: str
    PaddingDigits: int
    SampleTransformation: dream3d.simpl.AxisAngleInput
    ZEndIndex: int
    ZResolution: float
    ZStartIndex: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class EnsembleInfoReader(dream3d.simpl.AbstractFilter):
    CellEnsembleAttributeMatrixName: str
    CrystalStructuresArrayName: str
    DataContainerName: dream3d.simpl.DataArrayPath
    InputFile: str
    PhaseTypesArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindAvgCAxes(dream3d.simpl.AbstractFilter):
    AvgCAxesArrayPath: dream3d.simpl.DataArrayPath
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindAvgOrientations(dream3d.simpl.AbstractFilter):
    AvgEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindBoundaryStrengths(dream3d.simpl.AbstractFilter):
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    Loading: dream3d.simpl.FloatVec3
    SurfaceMeshF1sArrayName: str
    SurfaceMeshF1sptsArrayName: str
    SurfaceMeshF7sArrayName: str
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshmPrimesArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindCAxisLocations(dream3d.simpl.AbstractFilter):
    CAxisLocationsArrayName: str
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindDistsToCharactGBs(dream3d.simpl.AbstractFilter):
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    DistTo180TiltArrayPath: dream3d.simpl.DataArrayPath
    DistToSymmetricArrayPath: dream3d.simpl.DataArrayPath
    DistToTiltArrayPath: dream3d.simpl.DataArrayPath
    DistToTwistArrayPath: dream3d.simpl.DataArrayPath
    FeatureEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceNormalsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindFeatureNeighborCAxisMisalignments(dream3d.simpl.AbstractFilter):
    AvgCAxisMisalignmentsArrayName: str
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    CAxisMisalignmentListArrayName: str
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    FindAvgMisals: bool
    NeighborListArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindFeatureReferenceCAxisMisorientations(dream3d.simpl.AbstractFilter):
    AvgCAxesArrayPath: dream3d.simpl.DataArrayPath
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    FeatureAvgCAxisMisorientationsArrayName: str
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    FeatureReferenceCAxisMisorientationsArrayName: str
    FeatureStdevCAxisMisorientationsArrayName: str
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindFeatureReferenceMisorientations(dream3d.simpl.AbstractFilter):
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeatureAvgMisorientationsArrayName: str
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    FeatureReferenceMisorientationsArrayName: str
    GBEuclideanDistancesArrayPath: dream3d.simpl.DataArrayPath
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    ReferenceOrientation: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindGBCD(dream3d.simpl.AbstractFilter):
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FaceEnsembleAttributeMatrixName: str
    FeatureEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    GBCDArrayName: str
    GBCDRes: float
    SurfaceMeshFaceAreasArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceNormalsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindGBCDMetricBased(dream3d.simpl.AbstractFilter):
    ChosenLimitDists: int
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    DistOutputFile: str
    ErrOutputFile: str
    ExcludeTripleLines: bool
    FeatureEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    MisorientationRotation: dream3d.simpl.AxisAngleInput
    NodeTypesArrayPath: dream3d.simpl.DataArrayPath
    NumSamplPts: int
    PhaseOfInterest: int
    SaveRelativeErr: bool
    SurfaceMeshFaceAreasArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceNormalsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFeatureFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindGBPDMetricBased(dream3d.simpl.AbstractFilter):
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    DistOutputFile: str
    ErrOutputFile: str
    ExcludeTripleLines: bool
    FeatureEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    LimitDist: float
    NodeTypesArrayPath: dream3d.simpl.DataArrayPath
    NumSamplPts: int
    PhaseOfInterest: int
    SaveRelativeErr: bool
    SurfaceMeshFaceAreasArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceNormalsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFeatureFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindKernelAvgMisorientations(dream3d.simpl.AbstractFilter):
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    KernelAverageMisorientationsArrayName: str
    KernelSize: dream3d.simpl.IntVec3
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindMisorientations(dream3d.simpl.AbstractFilter):
    AvgMisorientationsArrayName: str
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    FindAvgMisors: bool
    MisorientationListArrayName: str
    NeighborListArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindSchmids(dream3d.simpl.AbstractFilter):
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    LambdasArrayName: str
    LoadingDirection: dream3d.simpl.FloatVec3
    OverrideSystem: bool
    PhisArrayName: str
    PolesArrayName: str
    SchmidsArrayName: str
    SlipDirection: dream3d.simpl.FloatVec3
    SlipPlane: dream3d.simpl.FloatVec3
    SlipSystemsArrayName: str
    StoreAngleComponents: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindSlipTransmissionMetrics(dream3d.simpl.AbstractFilter):
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    F1ListArrayName: str
    F1sptListArrayName: str
    F7ListArrayName: str
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    NeighborListArrayPath: dream3d.simpl.DataArrayPath
    mPrimeListArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindTwinBoundaries(dream3d.simpl.AbstractFilter):
    AngleTolerance: float
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    AxisTolerance: float
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    FindCoherence: bool
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceNormalsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshTwinBoundaryArrayName: str
    SurfaceMeshTwinBoundaryIncoherenceArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindTwinBoundarySchmidFactors(dream3d.simpl.AbstractFilter):
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    LoadingDir: dream3d.simpl.FloatVec3
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceNormalsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshTwinBoundaryArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshTwinBoundarySchmidFactorsArrayName: str
    TwinBoundarySchmidFactorsFile: str
    WriteFile: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class GenerateFZQuaternions(dream3d.simpl.AbstractFilter):
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FZQuatsArrayPath: dream3d.simpl.DataArrayPath
    GoodVoxelsArrayPath: dream3d.simpl.DataArrayPath
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    UseGoodVoxels: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class GenerateFaceIPFColoring(dream3d.simpl.AbstractFilter):
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeatureEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceIPFColorsArrayName: str
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceNormalsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class GenerateFaceMisorientationColoring(dream3d.simpl.AbstractFilter):
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceMisorientationColorsArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class GenerateIPFColors(dream3d.simpl.AbstractFilter):
    CellEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    CellIPFColorsArrayName: str
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    GoodVoxelsArrayPath: dream3d.simpl.DataArrayPath
    ReferenceDir: dream3d.simpl.FloatVec3
    UseGoodVoxels: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class GenerateQuaternionConjugate(dream3d.simpl.AbstractFilter):
    DeleteOriginalData: bool
    OutputDataArrayPath: dream3d.simpl.DataArrayPath
    QuaternionDataArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class INLWriter(dream3d.simpl.FileWriter):
    CellEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    MaterialNameArrayPath: dream3d.simpl.DataArrayPath
    NumFeaturesArrayPath: dream3d.simpl.DataArrayPath
    OutputFile: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ImportEbsdMontage(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    CellEnsembleAttributeMatrixName: str
    CellIPFColorsArrayName: str
    DataContainerName: dream3d.simpl.DataArrayPath
    DefineScanOverlap: int
    GenerateIPFColorMap: bool
    InputFileListInfo: dream3d.simpl.MontageFileListInfo
    MontageName: str
    ScanOverlapPercent: dream3d.simpl.FloatVec2
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ImportH5OimData(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    CellEnsembleAttributeMatrixName: str
    DataContainerName: dream3d.simpl.DataArrayPath
    FileWasRead: bool
    InputFile: str
    NumberOfScans: int
    Origin: dream3d.simpl.FloatVec3
    ReadPatternData: bool
    SelectedScanNames: List[str]
    ZSpacing: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class NeighborOrientationCorrelation(dream3d.simpl.AbstractFilter):
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    ConfidenceIndexArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    Level: int
    MinConfidence: float
    MisorientationTolerance: float
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class OrientationType:
    __members__: ClassVar[dict] = ...  # read-only
    AxisAngle: ClassVar[OrientationType] = ...
    Cubochoric: ClassVar[OrientationType] = ...
    Euler: ClassVar[OrientationType] = ...
    Homochoric: ClassVar[OrientationType] = ...
    OrientationMatrix: ClassVar[OrientationType] = ...
    Quaternion: ClassVar[OrientationType] = ...
    Rodrigues: ClassVar[OrientationType] = ...
    Unknown: ClassVar[OrientationType] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None: ...
    def __eq__(self, other: object) -> bool: ...
    def __getstate__(self) -> int: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __ne__(self, other: object) -> bool: ...
    def __setstate__(self, state: int) -> None: ...
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class ReadAngData(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    CellEnsembleAttributeMatrixName: str
    DataContainerName: dream3d.simpl.DataArrayPath
    InputFile: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ReadCtfData(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    CellEnsembleAttributeMatrixName: str
    DataContainerName: dream3d.simpl.DataArrayPath
    DegreesToRadians: bool
    EdaxHexagonalAlignment: bool
    InputFile: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ReadH5Ebsd(dream3d.simpl.AbstractFilter):
    AngleRepresentation: int
    CellAttributeMatrixName: str
    CellEnsembleAttributeMatrixName: str
    DataContainerName: dream3d.simpl.DataArrayPath
    InputFile: str
    SelectedArrayNames: dream3d.simpl.StringSet
    UseTransformations: bool
    ZEndIndex: int
    ZStartIndex: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ReplaceElementAttributesWithNeighborValues(dream3d.simpl.AbstractFilter):
    ConfidenceIndexArrayPath: dream3d.simpl.DataArrayPath
    Loop: bool
    MinConfidence: float
    SelectedComparison: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class RotateEulerRefFrame(dream3d.simpl.AbstractFilter):
    CellEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    RotationAngle: float
    RotationAxis: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class Stereographic3D(dream3d.simpl.AbstractFilter):
    CoordinatesArrayName: str
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class WritePoleFigure(dream3d.simpl.AbstractFilter):
    CellEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    GenerationAlgorithm: int
    GoodVoxelsArrayPath: dream3d.simpl.DataArrayPath
    ImageFormat: int
    ImageLayout: int
    ImagePrefix: str
    ImageSize: int
    LambertSize: int
    MaterialNameArrayPath: dream3d.simpl.DataArrayPath
    NumColors: int
    OutputPath: str
    UseGoodVoxels: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class WriteStatsGenOdfAngleFile(dream3d.simpl.AbstractFilter):
    CellEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    ConvertToDegrees: bool
    Delimiter: int
    GoodVoxelsArrayPath: dream3d.simpl.DataArrayPath
    OutputFile: str
    Sigma: int
    UseGoodVoxels: bool
    Weight: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...
